Skip to main content
GET
/
api
/
v1
/
org
/
executions
/
{execution_id}
Get execution detail
import requests

url = "https://platform.ankra.app/api/v1/org/executions/{execution_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "execution": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "display_name": "<string>",
    "type": "<string>",
    "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cluster_name": "<string>",
    "error_excerpt": "<string>",
    "step_summary": {
      "total": 0,
      "succeeded": 0,
      "failed": 0,
      "running": 0,
      "pending": 0
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "steps": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "target_resource_kind": "<string>",
      "target_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_resource_name": "<string>",
      "resource_kind": "<string>",
      "chart_name": "<string>",
      "chart_version": "<string>",
      "namespace": "<string>",
      "registry_name": "<string>",
      "iac_from_file_path": "<string>",
      "stack_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stack_name": "<string>",
      "type": "<string>",
      "error_excerpt": "<string>",
      "scheduler_name": "<string>",
      "start_at": "2023-11-07T05:31:56Z",
      "stop_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "in_flight_task": {},
      "in_flight_task_started_at": "2023-11-07T05:31:56Z"
    }
  ],
  "step_summary": {
    "total": 0,
    "succeeded": 0,
    "failed": 0,
    "running": 0,
    "pending": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

execution_id
string<uuid4>
required

Response

Successful Response

execution
ExecutionSummary · object
required
steps
ExecutionStep · object[]
required
step_summary
StepSummary · object